External panels
Put Study External Panel
Create or replace the external-panel integration for an owned BYOP study.
PUT
/
api
/
public
/
v1
/
studies
/
{study_id}
/
external-panel
Put Study External Panel
curl --request PUT \
--url https://api.userintuition.ai/api/public/v1/studies/{study_id}/external-panel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"provider": "custom",
"respondent_id_param": "rid",
"respondent_id_placeholder": "{{RESPONDENT_ID}}",
"complete_redirect_url": "https://panel.example/complete?rid={{respondent_id}}",
"screenout_redirect_url": "https://panel.example/screenout?rid={{respondent_id}}"
}
'import requests
url = "https://api.userintuition.ai/api/public/v1/studies/{study_id}/external-panel"
payload = {
"provider": "custom",
"respondent_id_param": "rid",
"respondent_id_placeholder": "{{RESPONDENT_ID}}",
"complete_redirect_url": "https://panel.example/complete?rid={{respondent_id}}",
"screenout_redirect_url": "https://panel.example/screenout?rid={{respondent_id}}"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
provider: 'custom',
respondent_id_param: 'rid',
respondent_id_placeholder: '{{RESPONDENT_ID}}',
complete_redirect_url: 'https://panel.example/complete?rid={{respondent_id}}',
screenout_redirect_url: 'https://panel.example/screenout?rid={{respondent_id}}'
})
};
fetch('https://api.userintuition.ai/api/public/v1/studies/{study_id}/external-panel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"complete_redirect_url": "<string>",
"screenout_redirect_url": "<string>",
"id": "<string>",
"study_id": "<string>",
"entry_url": "<string>",
"provider": "custom",
"respondent_id_param": "respondent_id",
"respondent_id_placeholder": "{{RESPONDENT_ID}}",
"session_id_param": "<string>",
"session_id_placeholder": "<string>",
"external_study_id_param": "<string>",
"external_study_id_placeholder": "<string>",
"quota_full_redirect_url": "<string>",
"technical_redirect_url": "<string>"
}{
"detail": "<unknown>",
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": "not_started",
"recovery_action": "<string>",
"docs_url": "<string>"
}
}{
"detail": "<unknown>",
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": "not_started",
"recovery_action": "<string>",
"docs_url": "<string>"
}
}Authorizations
Authenticate with an API key (prefixed ui_sk_) or a JWT token from the dashboard.
Path Parameters
Body
application/json
Available options:
prolific, cint, cloudresearch, terac, custom Response
Successful Response
Available options:
prolific, cint, cloudresearch, terac, custom Was this page helpful?
⌘I
Put Study External Panel

